Subject: [bug#51998] [PATCH] gnu: Add guile-gitlab

From: Mathieu Othacehe <[email-masked]>
Date: Sun, 28 Nov 2021 22:36:30 +0100

Hey,

> I think I need to investigate the problem further, but for now I fixed
> another bug that lead to 'guile-cli' fails if a user passed non-existing
> command (like "projects" instead of "project".)

Nice, also experienced that issue. Regarding the issue I reported, this
is related to the Guile-Json version. Seems that you are assuming array
data to be represented as vectors whereas with Guile-Json 1 they are
represented as lists.

I took the liberty to switch to guile2.2-json package that uses Guile
Json 4.5.2 and applied your patch.

Thanks,

Mathieu